import { Obj } from './ObjBean';

export class ExercisesBean extends Obj {
    answerIndex: number;

    wordArr: Array<WordBean> = [];
}

export class WordBean extends Obj {

    letterArr: Array<LetterBean> = [];
}

export class LetterBean extends Obj {
    /** 是否填空：0-否， 1 - 是*/
    isFill: String = '0';

    /** 是否着色：0-否， 1 - 是*/
    isColor: String = '0';
}

export function getDefaultExercisesBean() {

    const exercises = new ExercisesBean();

    return exercises;
}

export function getDefaultLetterBean() {
    const letter = new LetterBean();

    return letter;
}